# Lista de serviços e APIs públicas no luca0N!.com

Como você pode saber ou não, eu uso este sítio para hospedar alguns projetos e serviços. Aqui está uma lista completa deles:

# Serviços

- [git0N!](https://git.luca0n.com/) é onde meus programas vivem.
- [luca0N! Social](https://social.luca0n.com/) é onde a minha conta no Fediverse vive (apesar de eu não utilizar ela muito).
- [Element](https://element.luca0n.com/), porque a instância oficial do Element para navegadores usa Cl\*udflare.
- [Matrix](https://matrix.luca0n.com/), meu servidor Matrix (que é *muito* lenta, obrigado programadorez *piton*!!!11)

# APIs

- [Qual é meu endereço IP?](https://www.luca0n.com/api/ip)\* exibe o seu endereço IPv4 público ou o seu endereço IPv6 público (se disponível).
- [Qual é meu endereço IPv4?](https://www.ipv4.luca0n.com/api/ip)\* faz o mesmo que o acima, mas dá preferência ao seu endereço IPv4 ao invés do seu endereço IPv6.
- [Qual é o tempo UNIX atual?](/api/epoch) se você precisar rapidamente ver a época UNIX atual. Esta API é disponibilizada mais por uma questão de conveniência do que prática já que você não deveria estar pegando épocas UNIX remotamente quando você está escrevendo programas (a não ser que você queira evitar ter que lidar com computadores com o relógio atrasado ou adiantado). Isto pode ser removido no futuro.

\* Lembrete: as APIs de endereço IP não estão disponíveis no serviço escondido (.onion) do luca0N!.com (porém, ao acessar normalmente pelo Tor, a API vai exibir o endereço IP do nó de saída).
